import { AbstractControl, ValidationErrors } from '@angular/forms';
import { SubscriptionManager } from '@s-libs/rxjs-core';
import { MonoTypeOperatorFunction } from 'rxjs';
type ErrorTransform = MonoTypeOperatorFunction<ValidationErrors>;
export declare class ControlSynchronizer {
    #private;
    private control;
    private constructor();
    static synchronize(outer: AbstractControl, inner: AbstractControl, outerToInnerTransform: ErrorTransform, innerToOuterTransform: ErrorTransform, subscriptionManager: SubscriptionManager): void;
}
export {};
